/* ---------------------------------------------------
    SIDEBAR STYLE
----------------------------------------------------- */

#sidebar {
  position: fixed;
  min-width: 11%;
  max-width: 11%;
  min-height: 100vh;
  height: 100%;
  float: left;
  //background: #7386D5;
  color: #fff;
  transition: all 0.3s;
  overflow-y: auto;
}

#sidebar.active {
  min-width: 4%;
  max-width: 4%;
  text-align: center;
  overflow-y: auto;
}

#sidebar.active .sidebar-header h3,#sidebar.active ul li a span,
#sidebar.active .CTAs {
  display: none;
}

#sidebar.active .sidebar-header strong {
  display: block;
}

#sidebar ul li a {
  text-align: left;
}
/*#sidebar ul.components > li {
  border-bottom: 1px solid rgb(160,160,255);
}
#sidebar ul.components > li:first-child {
  border-top: 1px solid rgb(160,160,255);
}*/
#sidebar.active ul li a {
  padding: 20px 10px;
  text-align: center;
  font-size: 0.85em;
}

#sidebar.active ul li a i {
  margin-right: 0;
  display: block;
  font-size: 1.8em;
  margin-bottom: 5px;
}

#sidebar.active ul ul a {
  padding: 10px !important;
}

#sidebar.active .dropdown-toggle::after {
  top: auto;
  bottom: 10px;
  right: 50%;
  -webkit-transform: translateX(50%);
  -ms-transform: translateX(50%);
  transform: translateX(50%);
}

#sidebar .sidebar-header {
  padding: 10px 15px;
 // background: #6d7fcc;
}

#sidebar .sidebar-header strong {
  display: none;
  font-size: 1.8em;
}

#sidebar ul.components {
  padding: 20px 0 0 0;
  margin-bottom: 0;
}

#sidebar ul li a {
  padding: 10px;
  font-size: 1.1em;
  display: block;
}
#sidebar ul li a span.label {
  /*margin-left: 10px;*/
  font-weight: 400;
  margin-left: 5px;
}
#sidebar ul li a:hover,#sidebar ul li a.active:hover, #sidebar ul li ul li a.active:hover {
  //color: #7386D5;
  //background: #fff;
  img:nth-child(2) {
    display: inline-block;
  }
  img:nth-child(1) {
    display: none;
  }
}

#sidebar ul li a i {
  margin-right: 10px;
}
#sidebar ul.sub-menu li a .sub-menu-icon{
  margin-left: 12px;
}
.active{
  color: #fff;
  //background: #4557a7;
}
.menuIcon{
  width: 19px;
  height: 17px;
}
.logo{
  width: 40px;
  margin-right: 10px;
}
.menu-logo{
  width: 35px;
}
.title{
  position: absolute;
  top: 32px;
}

#sidebar ul li a.active,
a[aria-expanded="true"] {
  //color: #fff;
  //background: #4557a7;
}
#sidebar ul li.main-menu ul.sub-menu li a.active {
  //color: #ffffff;
  //background: #5167c5;
}
a[data-toggle="collapse"] {
  position: relative;
}

.dropdown-toggle::after {
  display: block;
  position: absolute;
  top: 50%;
  right: 20px;
  transform: translateY(-50%);
}

ul ul a {
  font-size: 0.9em !important;
  padding-left: 30px !important;
  //background: #6d7fcc;
}

ul.CTAs {
  padding: 20px;
}

ul.CTAs a {
  text-align: center;
  font-size: 0.9em !important;
  display: block;
  border-radius: 5px;
  margin-bottom: 5px;
}

a.download {
  background: #fff;
  color: #7386D5;
}

a.article,
a.article:hover {
  background: #6d7fcc !important;
  color: #fff !important;
}
a,
a:hover,
a:focus {
  color: inherit;
  text-decoration: none;
  transition: all 0.3s;
}
.powerBy{
  position: absolute;
  bottom: 0;
  width: 100%;
  padding: 7px 0;
  font-style: italic;
  font-family: Georgia, serif;
  font-size: 12px;
  line-height: 20px;
  color: #6d7bb5;
  // color: #5d6aa0;
}
/*.powerBy:hover {
  color: #ffffff;
  background: #4557a7;
}*/
.powerBy:hover .powerByText{
  color: #d6d3d3;
}
.settingTab{
  position: absolute;
  bottom: 50px;
  width: 100%;
}
.main-memu-anchor{
  position: relative;
}
.main-memu-anchor .arrow-icon{
  position: absolute;
  top: 13px;
  right: 15px;
}
#sidebar.active .main-memu-anchor .arrow-icon{
  top: 23px;
  right: 10px;
}
.sub-menu {
  padding-left:0;
  list-style:none;
  //display: block;
}
#sidebar ul li a img:nth-child(2) {
  display: none;
}
.display-block{
  display: block;
}
.display-none{
  display: none;
}
/* ---------------------------------------------------
    MEDIAQUERIES
----------------------------------------------------- */
@media (min-width: 320px) and (max-width: 480px) {
  #sidebar {
    min-width: 80px;
    max-width: 80px;
    text-align: center;
    margin-left: -80px !important;
  }
  .dropdown-toggle::after {
    top: auto;
    bottom: 10px;
    right: 50%;
    -webkit-transform: translateX(50%);
    -ms-transform: translateX(50%);
    transform: translateX(50%);
  }
  #sidebar.active {
    margin-left: 0 !important;
    min-width: 12%;
    max-width: 12%;
  }
  #sidebar .sidebar-header {
    padding: 10px 0;
  }
  #sidebar .sidebar-header h3,
  #sidebar .CTAs {
    display: none;
  }
  #sidebar .sidebar-header strong {
    display: block;
  }
  #sidebar ul li a {
    padding: 20px 10px;
  }
  #sidebar ul li a span {
    font-size: 0.85em;
  }
  #sidebar ul li a i {
    margin-right: 0;
    display: block;
  }
  #sidebar ul ul a {
    padding: 10px !important;
  }
  #sidebar ul li a i {
    font-size: 1.3em;
  }
  #sidebar {
    margin-left: 0;
  }
  #sidebarCollapse span {
    display: none;
  }
  #sidebar.active ul li a {
    padding: 15px 10px;
  }
  .menu-logo{
    width: 30px;
  }
  .settingTab{
    position: absolute;
    bottom: 75px;
  }
  #sidebar.active .main-memu-anchor .arrow-icon{
    top: 18px;
    right: 5px;
  }
}

@media (min-width: 481px) and (max-width: 767px) {
  #sidebar {
    min-width: 80px;
    max-width: 80px;
    text-align: center;
    margin-left: -80px !important;
  }
  .dropdown-toggle::after {
    top: auto;
    bottom: 10px;
    right: 50%;
    -webkit-transform: translateX(50%);
    -ms-transform: translateX(50%);
    transform: translateX(50%);
  }
  #sidebar.active {
    margin-left: 0 !important;
    min-width: 12%;
    max-width: 12%;
  }
  #sidebar .sidebar-header h3,
  #sidebar .CTAs {
    display: none;
  }
  #sidebar .sidebar-header strong {
    display: block;
  }
  #sidebar ul li a {
    padding: 20px 10px;
  }
  #sidebar ul li a span {
    font-size: 0.85em;
  }
  #sidebar ul li a i {
    margin-right: 0;
    display: block;
  }
  #sidebar ul ul a {
    padding: 10px !important;
  }
  #sidebar ul li a i {
    font-size: 1.3em;
  }
  #sidebar {
    margin-left: 0;
  }
  #sidebarCollapse span {
    display: none;
  }
  #sidebar.active ul li a {
    padding: 15px 10px;
  }
  .settingTab{
    position: relative;
    bottom: 0;
  }
  .powerBy{
    position: absolute;
    bottom: -70px;
  }
  #sidebar.active .main-memu-anchor .arrow-icon{
    top: 18px;
    right: 5px;
  }
}

@media (min-width: 768px) and (max-width: 1024px) {
  #sidebar {
    min-width: 20%;
    max-width: 20%;
    text-align: center;
    margin-left: 0 !important;
  }
  .dropdown-toggle::after {
    top: auto;
    bottom: 10px;
    right: 50%;
    -webkit-transform: translateX(50%);
    -ms-transform: translateX(50%);
    transform: translateX(50%);
  }
  #sidebar.active {
    margin-left: 0 !important;
    min-width: 10%;
    max-width: 10%;
  }
  #sidebar .sidebar-header h3,
  #sidebar .CTAs {
    display: none;
  }
  #sidebar .sidebar-header strong {
    display: block;
  }
  #sidebar ul li a {
    padding: 20px 10px;
  }
  #sidebar ul li a span {
    font-size: 0.85em;
  }
  #sidebar ul li a i {
    margin-right: 0;
    display: block;
  }
  #sidebar ul ul a {
    padding: 10px !important;
  }
  #sidebar ul li a i {
    font-size: 1.3em;
  }
  #sidebar {
    margin-left: 0;
  }
  #sidebarCollapse span {
    display: none;
  }
  .main-memu-anchor .arrow-icon{
    top: 25px;
    right: 5px;
  }
}

@media (min-width: 768px) and (max-width: 1024px) and (orientation: landscape) {
  .settingTab{
    position: relative;
    bottom: 0;
  }
  .powerBy{
    position: absolute;
    bottom: -100px;
  }
}

@media (min-width: 900px) and (max-width: 1440px) {
  #sidebar {
    min-width: 13%;
    max-width: 13%;
  }
  #sidebar.active {
    min-width: 8%;
    max-width: 8%;
  }
}

@media (min-width: 1024px) and (max-width: 1366px) {
  #sidebar .sidebar-header strong {
    display: none;
  }
  #sidebar .sidebar-header h3,
  #sidebar .CTAs {
    display: block;
  }
  #sidebar {
    min-width: 18%;
    max-width: 18%;
    text-align: left;
    margin-left: 0 !important;
  }
  #sidebar.active {
    margin-left: 0 !important;
    min-width: 8%;
    max-width: 8%;
  }
}
